#include<bits/stdc++.h>
using namespace std;
int main(){
	int t;
	cin>>t;
	int n;
	for(int i=0; i<t; i++){
		cin>>n;
		vector<int>a(n);
		for(int j=0; j<n; j++){
			cin>>a[j];
		}
		vector<int>b(n);
		for(int j=0; j<n; j++){
			cin>>b[j];
		}
	}
	for(int i=0; i<t; i++){
		cout<<"DA\n";
	}
}